Henning Rohde created BEAM-3829:
-----------------------------------

             Summary: Update Go SDK to use latest BQ version
                 Key: BEAM-3829
                 URL: https://issues.apache.org/jira/browse/BEAM-3829
             Project: Beam
          Issue Type: Bug
          Components: sdk-go
            Reporter: Henning Rohde
            Assignee: Henning Rohde


We should update BQ to the latest version, so that "go get" works:

$ go get github.com/apache/beam/sdks/go/...
# github.com/apache/beam/sdks/go/pkg/beam/io/bigqueryio
../../apache/beam/sdks/go/pkg/beam/io/bigqueryio/bigquery.go:120:3: 
q.UseLegacySQL undefined (type *"cloud.google.com/go/bigquery".Query has no 
field or method UseLegacySQL)
../../apache/beam/sdks/go/pkg/beam/io/bigqueryio/bigquery.go:204:61: cannot use 
"cloud.google.com/go/bigquery".TableMetadata literal (type 
*"cloud.google.com/go/bigquery".TableMetadata) as type 
"cloud.google.com/go/bigquery".CreateTableOption in argument to table.Create:
        *"cloud.google.com/go/bigquery".TableMetadata does not implement 
"cloud.google.com/go/bigquery".CreateTableOption (missing 
"cloud.google.com/go/bigquery".customizeCreateTable method)




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to